﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.InteropServices;

namespace SL5Cmd
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            MessageBox.Show("调用IlasLinkDll.dll获得的结果："+GetNum(500.0, 23.0).ToString());

            MsgBox(0, "这是调用User32.dll弹出的窗口", "提示信息",1);
        }
        /// <summary>
        /// 获取到DLL的值
        /// </summary>
        /// <param name="Anumber">数字A</param>
        /// <param name="Bnumber">数字B</param>
        /// <returns></returns>
        [DllImport("IlasLinkDll.dll", CharSet = CharSet.Ansi, EntryPoint = "GetNum", ExactSpelling = false)]
        public static extern double GetNum(double Anumber, double Bnumber);

        /// <summary>
        /// 弹出窗口
        /// </summary>
        /// <param name="h">弹出窗口的父窗口，在这里没有，所以为0</param>
        /// <param name="message">需要显示的消息</param>
        /// <param name="title">窗口的标题</param>
        /// <param name="type">窗口的类型 0为确定按钮,1为确定、取消双按钮</param>
        /// <returns></returns>
        [DllImport("user32.dll", EntryPoint = "MessageBoxA")]
        public static extern int MsgBox(int h, string message, string title, int type);

    }

}
